ZGENHOSTID(8)

NAME
zgenhostid - generate and store a hostid in /etc/hostid

SYNOPSIS
zgenhostid [-f] [-o filename] [hostid]

DESCRIPTION
Creates /etc/hostid file and stores hostid in it. If the user provides [hostid] on the command line, validates and stores that value. Otherwise, randomly generates a value to store.

-h  Display a summary of the command-line options.

-f  Force file overwrite.

-o filename
    Write to filename instead of default /etc/hostd

hostid
    Specifies the value to be placed in /etc/hostid. It must be a number with a value between 1 and 2^32-1. This value must be unique among your systems. It must be expressed in hexadecimal and be exactly 8 digits long, optionally prefixed by 0x.

FILES
/etc/hostid

EXAMPLES

Generate a random hostid and store it

        # zgenhostid

Record the libc-generated hostid in /etc/hostid

        # zgenhostid "$(hostid)"

Record a custom hostid (0xdeadbeef) in /etc/hostid

        # zgenhostid deadbeef

Record a custom hostid (0x01234567) in /tmp/hostid
    and ovewrite the file if it exists

        # zgenhostid -f -o /tmp/hostid 0x01234567

SEE ALSO
genhostid(1), hostid(1), sethostid(3), spl-module-parameters(5)

HISTORY
zgenhostid emulates the genhostid(1) utility and is provided for use on systems which do not include the utility or do not provide sethostid(3) call.